var L_BadParameter_Message = "Die LoadWebBrowserControl Methode ist mit einem falschen Parameter aufgerufen.";
var constProjectView = "gbui://right.htm";

var constTaskFormContentPage = "http://www.microsoft.com/germany";



// Here, we'll cache the index of the current project window.  That way
// we can see whether document events are meant for our document by 
// comparing the cached window index to the one sent as an event 
// parameter.
//***********************************************************************
var this_Project_Window = "";

//***********************************************************************
// NAME: initWrapperPageData
// PURPOSE: This is a simple function, called on page load, which inits
// anything that needs initing.  Here, that's just a matter of caching 
// our document window index.
// PARAMETERS: None
// RETURN: None
//***********************************************************************
function initWrapperPageData()
{
   this_Project_Window = window.external.Index;
}

//***********************************************************************
// NAME: calFrameHeight
// PURPOSE: This calculates a size for the custom view's body that ensures
// the header will stay visible.
// PARAMETERS: None
// RETURN: None
//***********************************************************************
function calFrameHeight()
{
   try
   {
      var nFrameSize = document.body.offsetHeight;
      nFrameSize -= header.offsetHeight;
      return nFrameSize;
   }
   catch(exp)
   {
   }

   return 0;
}

//***********************************************************************
// NAME: unloadWebBrowser
// PURPOSE: This cleans up and closes the custom view using 
// Application.UnloadWebBrowserControl.  If the Project Guide is up,
// this call will try to restore the current sidepane's default view 
// before calling UnloadWebBrowserControl.  If there's no Project Guide 
// up, this will skip straight to the UnloadWebBrowserControl call.
// Either way, UnloadWebBrowserControl will get called.
//
// UnloadWebBrowserControl works like LoadWebBrowserControl in reverse.  If
// there's a Project Guide up, then it doesn't do anything.  It leaves the
// Internet Explorer window up and running so the Project Guide can use it.
// If the Project Guide isn't running, UnloadWebBrowserControl takes Internet
// Explorer out of the view area and brings back the traditional view 
// interface.
// 
// Be aware that this function makes assumptions about the Project Guide mainpage.
// If this code was run as-is alongside a Project Guide that didn't include 
// an rscript() call, it would fail.  You'll have to update wrapper code
// that deals with the mainpage layout whenever the Project Guide mainpage 
// changes.
// PARAMETERS: None
// RETURN: None
//***********************************************************************
function closeCustomView()
{
   try
   {
      var parentApp = window.external.Application;

      if(parentApp.DisplayProjectGuide)
      {      
         var fRestoreView = false;
         var script = pscript();

         // First, find out if the Project Guide is showing a task sidepane
         // or a goal area menu.  If it's showing a task sidepane, then 
         // we'll use the default mainpage's restoreView function to bring up
         // an appropriate view.  If it's showing a goal area menu, then we'll 
         // refresh the menu by navigating to it, which will trigger any needed
         // view changes.
         var tmpTaskID = script.getActiveTaskID();
         if ((null == tmpTaskID) || ("" == tmpTaskID))
         {
            fRestoreView = true;
         }
      
         var tmpGoalAreaID = script.getActiveGoalAreaID();
         if ((null == tmpGoalAreaID) || ("" == tmpGoalAreaID))
         {
            tmpGoalAreaID = 1;
         }
      
         if (false == fRestoreView)
         {
            script.navigate(tmpGoalAreaID, -1, null);
         }
         else
         {
            script.restoreView(true);
         }

         rscript().location.href = script.default_view_page;
      }

      parentApp.UnloadWebBrowserControl;
   }
   catch(exp)
   {
   }
}

//***********************************************************************
// NAME: handle_BeforeViewChange
// PURPOSE: This gets called in response to BeforeViewChange events.  It
// closes the custom view to insure that the upcoming view change can 
// go smoothly.
// PARAMETERS: None
// RETURN: None
//***********************************************************************
function handle_BeforeViewChange()
{
   closeCustomView();
}



function handle_LoadWebPage(targetPage)
{
   try
   {
      var parentApp = window.external.application;

      if(parentApp.displayProjectGuide)
      {
         return;
      }

      var urlToGo = null;

      switch(targetPage)
      {
         case "MyCustomTargetPage":
            // Dieser targetPage-string fhrt zu http://www.microsoft.com/germany
	    // Die URL wird weiter oben zum einfacheren updaten gespeichert
            urlToGo = constTaskFormContentPage;
         break;

         default:
            // Im Falle eines Fehlers, zeige das normale UI an, 
            urlToGo = constProjectView;

            try
            {
               // Warnung, falls die targetPage nicht erkannt wird
               window.external.application.Message(L_BadParameter_Message);
            }
            catch(Exception)
            {
            }
         break;
      }

      document.all.viewFrame.src = urlToGo;
      handleResize();
   }
   catch(exp)
   {
   }
}

